Package de.willuhn.jameica.hbci.util

# Class SaldoFinder

java.lang.Object
de.willuhn.jameica.hbci.util.SaldoFinder

public class SaldoFinder extends Object
Hilfsklasse zum Finden eines Saldos zum angegebenen Zeitpunkt aus einer vorgegebenen Liste von Umsaetzen/Salden.

## Constructor Summary

Constructors
Constructor
Description
`SaldoFinder(de.willuhn.datasource.GenericIterator umsaetze, double anfangssaldo)`
ct.
`SaldoFinder(Collection<Value> values, double anfangssaldo)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Double`
`get(Date date)`
Liefert den Saldo zum angegebenen Zeitpunkt.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaldoFinder

public SaldoFinder(de.willuhn.datasource.GenericIterator umsaetze, double anfangssaldo) throws RemoteException
ct.

Parameters:
  `umsaetze` - Liste der Umsaetze, in denen gesucht werden soll.
  `anfangssaldo` - der initiale Saldo, den das Konto vorher hatte. Darf "0.00" sein, wenn er nicht bekannt ist.
Throws:
  `RemoteException`

### SaldoFinder

public SaldoFinder(Collection<Value> values, double anfangssaldo) throws RemoteException
ct.

Parameters:
  `values` - Liste der Salden, in denen gesucht werden soll.
  `anfangssaldo` - der initiale Saldo, den das Konto vorher hatte. Darf "0.00" sein, wenn er nicht bekannt ist.
Throws:
  `RemoteException`

## Method Details

### get

public Double get(Date date)
Liefert den Saldo zum angegebenen Zeitpunkt.

Parameters:
  `date` - das Datum.
Returns:
  der Saldo zu diesem Zeitpunkt.